Get library info
List libraries and find target library ID for your documents (legacy v1)
To list target libraries on your domain, select a target library for your AODocs documents to be a part of, and note the target library’s unique identifier, libraryId.
PUT
Method and API
Play with the API Explorer:PUT /library/v1
Request
This method has no mandatory parameters, but without setting any filtering it tries to return all metadata for all libraries, which is often overwhelming to the server and might not produce any response. We strongly recommend you set theinclude query parameter to NONE.
Sample request
name and id.
Responses
The response returns an ApiLibraryList resource, listing all libraries accessible to you on the domain. With the recommended parameterinclude=NONE the response is smaller and far more manageable.
Take note of the libraryId of your target library. The library ID is one of the most commonly used identifiers in the AODocs APIs.
Additional fields to note:
name(of the library)defaultDocumentType(the library’s default class ID)rootFolderId(the ID of the topmost level of the library’s hierarchy)favorited(whether or not the library is starred as a favorite)- any other fields of interest